<template>
  <div class="LanguageSwitcher" name="language">
    <!--button href="#" class="LanguageSwitcher" v-for="lang in supportedLanguages" :key="lang"
      :selected="isCurrentLanguage(lang)" @click="changeLanguage" :class="{ 'is-selected': isCurrentLanguage(lang) }" :value="lang"    >
      {{lang}}
    </button-->
  </div>
</template>
<script>
import { Trans } from '@/plugins/Translation'

export default {
  computed: {
    supportedLanguages () {
      return Trans.supportedLanguages
    },
    currentLanguage () {
      return Trans.currentLanguage
    }
  },
  methods: {
    changeLanguage (e) {
      const lang = e.target.value
      const to = this.$router.resolve({ params: { lang } })
      return Trans.changeLanguage(lang).then(() => {
        this.$router.push(to.location)
      })
    },
    isCurrentLanguage (lang) {
      return lang === this.currentLanguage
    }
  }
}
</script>

<style>
button{

padding:2px;
}
.is-selected{
  font-weight: bold;
  border: 0
}
.LanguageSwitcher > button:after
{
  content: '|';
}
.LanguageSwitcher > button:last-child:after
{
  content: '';
}
.LanguageSwitcher {
  text-transform: uppercase;
}
</style>
